char_to_multiplier = {
	m = 0.001,
	c = 0.01,
	d = 0.1,
	h = 100,
	k = 1000,
	M = 1000000,
	G = 1000000000,
	T = 1000000000000,
	P = 1000000000000000,
}

function string_to_number(str)
	str = ""..str
	local number_string = ""
	local last_char = nil
	for i = 1, #str do
		local c = str:sub(i,i)
		if c == "." or tonumber(c) ~= nil then
			number_string = number_string .. c
		else
			last_char = c
			break
		end
	end
	if last_char and char_to_multiplier[last_char] then
		return tonumber(number_string) * char_to_multiplier[last_char]
	end
	return tonumber(number_string)
end

local function replace(str, what, with)
    what = string.gsub(what, "[%(%)%.%+%-%*%?%[%]%^%$%%]", "%%%1") -- escape pattern
    with = string.gsub(with, "[%%]", "%%%%") -- escape replacement
    return string.gsub(str, what, with)
end