data:extend({
	{ -- placement and chest
		type = "container",
		name = "vehicle-deployer",
		icon = "__aai-programmable-structures__/graphics/icon/vehicle-deployer.png",
		flags = {"placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 2, result = "vehicle-deployer"},
		max_health = 5000,
		corpse = "big-remnants",
		dying_explosion = "medium-explosion",
		collision_box = {{-4.35, -4.65}, {4.35, 3.90}},
		selection_box = {{-4.5, -5}, {4.5, 4.5}},
		inventory_size = 1,
		resistances = {{
			type = "impact",
			percent = 100
		},{
			type = "fire",
			percent = 50
		}},
		open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
		close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
		vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
		picture =
		{
		  filename = "__aai-programmable-structures__/graphics/entity/vehicle-deployer/vehicle-deployer.png",
		  priority = "extra-high",
		  width = 350,
		  height = 351,
		  shift = {1, 0.6}
		},
		circuit_wire_connection_point =
		{
		  shadow =
		  {
			red = {-3.6, -1.6},
			green = {-3.6, -1.6},
		  },
		  wire =
		  {
			red = {-3.6, -1.6},
			green = {-3.6, -1.6},
		  }
		},
		circuit_wire_max_distance = 12.5,
		circuit_connector_sprites = get_circuit_connector_sprites({0.1875, 0.15625}, nil, 18),
	},
	{ -- the visual
		type = "simple-entity",
		name = "vehicle-deployer-overlay",
		icon = "__aai-programmable-structures__/graphics/icon/vehicle-deployer.png",
		flags = {"placeable-player", "player-creation"},
		subgroup = "logistic-network",
		order = "b[deploy]-b[deploy]",
        render_layer = "object",
		max_health = 5000,
		heal_per_tick = 5000,
		selectable_in_game = false,
		collision_box = {{-4.35, -8.65}, {4.35, 0.05}},
		collision_mask = { "ghost-layer"},
		selection_box = {{-4.5, -8.5}, {4.5, 0.5}},
		inventory_size = 0,
		picture =
		{
		  filename = "__aai-programmable-structures__/graphics/entity/vehicle-deployer/vehicle-deployer-chest.png",
		  priority = "extra-high",
		  width = 350,
		  height = 291,
		  shift = {1, -4.33} -- lower moves up
		},
	},
	{ 
		type = "radar",
		name = "vehicle-deployer-belt",
		icon = "__aai-programmable-structures__/graphics/icon/vehicle-deployer.png",
		flags = {"placeable-player", "player-creation", "not-blueprintable", "not-deconstructable"},
        render_layer = "floor",
		subgroup = "logistic-network",
		order = "b[deploy]-b[deploy]",
		max_health = 5000,
		heal_per_tick = 5000,
		collision_box = {{-4.45, -4.45}, {4.45, 6.45}},
		collision_mask = { "ghost-layer"},
		selection_box = {{-4.5, -2.5}, {4.5, 6}},
		energy_per_sector = "1kJ",
		max_distance_of_sector_revealed = 2,
		max_distance_of_nearby_sector_revealed = 1,
		energy_per_nearby_scan = "1kJ",
		energy_source =
		{
		  type = "electric",
		  usage_priority = "secondary-input"
		},
		energy_usage = "1kW",
		pictures =
		{
		  filename = "__aai-programmable-structures__/graphics/entity/vehicle-deployer/vehicle-deployer-belt-12.png",
		  priority = "extra-high",
		  width = 170,
		  height = 153,
		  direction_count = 12,
		  line_length = 6,
		  apply_projection = false,
		  shift = {0.0625, 5.67},
		  animation_speed = 5
		},
		vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
	},
	{ -- the unit output blocker
		type = "simple-entity",
		name = "vehicle-deployer-reserved",
		icon = "__aai-programmable-structures__/graphics/blank.png",
		flags = {"placeable-player", "player-creation", "placeable-off-grid", "not-blueprintable", "not-deconstructable"},
		subgroup = "logistic-network",
		order = "b[deploy]-b[deploy]",
        render_layer = "object",
		max_health = 5000,
		heal_per_tick = 5000,
		selectable_in_game = false,
		collision_box = {{-1, -1}, {1, 1}},
		collision_mask = { "player-layer" },
		selection_box = {{-1, -1}, {1, 1}},
		inventory_size = 0,
		picture =
		{
		  filename = "__aai-programmable-structures__/graphics/blank.png",
		  width = 32,
		  height = 32,
		},
	},
  
})
